* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: "Public Sans", sans-serif;
}
body {
	font-family: "Montserrat", sans-serif;
	font-weight: 700;
	font-size: 15px;
	min-width: 100vw;
	min-height: 100vh;
	background-color: hsl(0, 0%, 100%);
	background-position: top right, bottom left;
	background-repeat: no-repeat;
	overflow-x: hidden;
	display: flex;
	align-items: center;
	flex-direction: column;
}
.mb-nav {
	display: none;
}
.mb-nav-menu {
	display: none;
}
.mb-mockup {
	display: none;
}

nav {
	position: relative;
	display: flex;
	justify-content: space-around;
	align-items: center;
	width: 100%;
	min-height: 8vh;
	background: hsl(0, 0%, 98%);
	color: gray;
	z-index: 2;
	/* margin-bottom: 4rem	; */
}
.nav-menu {
	position: relative;
	display: flex;
	justify-content: center;
	margin-left: 2rem;
}
.nav-menu > ul > li > a {
	text-decoration: none;
	color: gray;
}

.nav-menu > ul > li > a:hover {
	text-decoration: none;
	color: gray;
	border-bottom: 3px solid;
	padding-bottom: 0.5rem;
	border-image: linear-gradient(
			to right,
			hsl(136, 65%, 51%),
			hsl(192, 70%, 51%)
		)
		1;
}

nav > .nav-menu > ul {
	text-decoration: none;
	list-style: none;
	display: flex;
	justify-content: space-around;
	gap: 2rem;
}
.hamburger-icon > img {
	display: none;
}
.invite-btn > button {
	outline: none;
	border: none;
	cursor: pointer;
	border-radius: 24px;
	width: 10rem;
	padding: 0.7rem;
	color: #fff;
	background: linear-gradient(to right, hsl(136, 65%, 51%), hsl(192, 70%, 51%));
}
.invite-btn > button:hover {
	outline: none;
	border: none;
	cursor: pointer;
	border-radius: 24px;
	width: 10rem;
	padding: 0.7rem;
	color: #fff;
	background: hsl(142, 70%, 51%);
}

.container-1 {
	display: flex;
	justify-content: space-between;
	/* overflow-x: hidden;
	overflow-y: hidden; */
}
.container-1 > .left {
	width: 50vw;
	align-self: center;
	margin-left: 12rem;
	/* text-align: center; */
}

.container-1 > .right {
	width: 50vw;
	height: 80vh;
	background-image: url(./images/bg-intro-desktop.svg);
	background-repeat: no-repeat;
	/* background-size: cover; */
	background-position-y: -360px;
	background-position-x: 10px;
}
.container-1 > .right > img {
	position: relative;
	width: auto;
	height: auto;
	transform: translate(180px, -200px);
	z-index: 1;
	/* transform: translateY(-200px); */
}
.written {
	/* align-self: center; */
	margin-left: 5rem;
}
.written > p {
	color: gray;
}

.container-2 {
	width: 100vw;
	z-index: 0;
	margin-top: -153px;
	display: flex;
	flex-direction: column;
	/* justify-content: center; */
	background-color: hsl(220, 16%, 96%);
}

.written-2 {
	margin: 2rem 0 5rem 12rem;
	/* align-self: center; */
}
.written-2 > p {
	margin-top: 1rem;
	color: gray;
}

.features {
	display: flex;
	justify-content: flex-start;
	flex-wrap: wrap;
	text-align: center;
	margin-left: 10rem;
}
.features > .block {
	width: 20rem;
}
.features > .block > p {
	color: grey;
	margin: 1rem;
}
.container-3 {
	width: 100vw;

	margin-top: 5rem;
	margin-left: 30rem;
	background-color: hsl(0, 0%, 98%);
	display: flex;
	flex-direction: column;
}
.container-3 > .heading {
	/* margin-left: 5rem; */
	margin-bottom: 4rem;
}

.container-3 > .articles {
	display: flex;
	justify-content: flex-start;
	flex-wrap: wrap;
	gap: 4rem;
}
.container-3 > .articles > .article-block {
	width: 12rem;
	padding: 1rem;
}
.container-3 > .articles > .article-block > img {
	width: 12rem;
	height: 10rem;
}
.container-3 > .articles > .article-block > p > span {
	color: grey;
}
.container-3 > .articles > .article-block > p {
	margin-top: 1rem;
}
.mb-footer {
	display: none;
}
.footer {
	width: 100%;
	display: flex;
	justify-content: space-around;
	align-items: center;
	flex-wrap: wrap;
	background-color: hsl(233, 26%, 24%);
}
.footer > .col-1 {
	height: 10rem;
	display: flex;
	justify-content: center;
	gap: 2rem;
	flex-wrap: wrap;
	flex-direction: column;
	align-items: center;
}
.footer > .col-3 {
	display: flex;
	justify-content: space-around;
	flex-direction: column;
	flex-wrap: wrap;
	gap: 2rem;
	align-items: center;
}
.footer > .col-2 {
	display: flex;
	justify-content: space-around;
	flex-wrap: wrap;

	align-items: center;
	gap: 2rem;
}

.footer > .col-2 > .part-1 > ul {
	display: flex;
	flex-direction: column;
	gap: 1rem;
	text-decoration: none;
	list-style: none;
}
.footer > .col-2 > .part-2 > ul {
	display: flex;
	flex-direction: column;
	gap: 1rem;
	text-decoration: none;
	list-style: none;
}
.footer > .col-2 > .part-1 > ul > li > a {
	text-decoration: none;
	color: #fff;
}
.footer > .col-2 > .part-2 > ul > li > a {
	text-decoration: none;
	color: #fff;
}
.footer > .col-3 > .copyright {
	color: #fff;
}
.footer > .col-1 > .social-media {
	display: flex;
	justify-content: flex-start;
}
.footer > .col-1 > .social-media > ul {
	display: flex;
	gap: 1rem;
	text-decoration: none;
	list-style: none;
}

/* Responsive for 1440px width */

@media screen and (max-width: 1440px) {
	.container-1 > .left {
		margin-left: 5rem;
	}
	.container-1 > .right {
		background-position-x: -80px;
		background-position-y: -270px;
	}
	.container-1 > .right > img {
		transform: translate(40px, -200px);
	}

	.written {
		margin-left: 2rem;
	}
	.written-2 {
		margin: 2rem 0 5rem 5rem;
	}
	.features {
		text-align: left;
		margin-left: 5rem;
	}
	.features > .block {
		width: 16rem;
	}
	.container-3 {
		margin-left: 10rem;
	}
}

/* Responsive for 410px width */
@media screen and (max-width: 450px) {
	body {
		align-items: flex-start;
		flex-direction: column;
	}
	nav {
		display: none;
		/* z-index: 2; */
	}

	.mb-nav {
		display: flex;
		min-width: 100vw;
		min-height: 6vh;
		margin: 1rem 0.5rem 0 0.5rem;
		justify-content: space-around;
		flex-wrap: wrap;
		z-index: 1;
	}
	.mb-nav > .mb-nav-hamburger {
		cursor: pointer;
	}
	.mb-nav > .mb-nav-cross {
		display: none;
		cursor: pointer;
	}
	.mb-nav-menu {
		display: none;
		/* display: flex; */
		width: 100vw;
		flex-direction: column;
		align-items: center;
		/* z-index: 0; */
	}
	.mb-nav-menu > ul {
		list-style: none;
	}
	.mb-nav-menu > ul > li {
		margin-bottom: 0.6rem;
	}
	.mb-nav-menu > ul > li > a {
		text-decoration: none;
		color: black;
	}

	.mb-mockup {
		display: flex;
		min-width: 100vw;
		background-image: url(./images/bg-intro-mobile.svg);
		background-position: center;
		background-repeat: no-repeat;
		z-index: 0;
	}
	.mb-mockup > img {
		width: 12rem;
		height: 15rem;
		z-index: 0;
		transform: translate(4rem);
	}

	.container-1 > .right {
		display: none;
	}
	.container-1 > .left {
		width: 100vw;
		height: 40vh;
		margin-top: 3rem;
		margin-left: 0;
		z-index: 0;
		align-self: flex-start;
	}
	.written {
		margin-left: 2rem;
	}
	.container-2 {
		z-index: 0;
		margin-top: 0;
	}
	.written-2 {
		text-align: center;
		margin: 1rem 2rem 0 2rem;
		margin-bottom: 2rem;
	}
	.features {
		margin-left: 2rem;
	}
	.features > .block {
		text-align: center;
	}
	.container-3 {
		margin-left: 4rem;
	}
	.container-3 > .articles {
		margin-left: 2rem;
	}
	.footer {
		display: none;
	}
	.mb-footer {
		display: flex;
		width: 100vw;
		background-color: hsl(233, 26%, 24%);
		flex-direction: column;
		align-items: center;
		justify-content: space-around;
	}
	.mb-footer > .mb-footer-logo {
		margin: 1rem 0 0.5rem 0;
	}
	.mb-footer > .mb-footer-social > ul {
		margin: 0.4rem 0 0.8rem 0;
		display: flex;
		gap: 1.5rem;
		list-style: none;
		gap: 0.5rem;
		text-decoration: none;
	}
	.mb-footer > .mb-footer-menu > ul {
		display: flex;
		flex-direction: column;
		gap: 0.5rem;
		list-style: none;
		text-decoration: none;
		color: #fff;
	}
	.mb-footer > .mb-footer-menu > ul > li > a {
		text-decoration: none;
		color: #fff;
	}
	.mb-footer > .invite-btn {
		margin: 1rem 0 1rem 0;
	}
	.mb-footer > .copyright {
		color: #fff;
		margin: 0.5rem 0 0.8rem 0;
	}
}
